#ifndef __MODSETUP_H
#define __MODSETUP_H

#ifndef BYTE
#define BYTE unsigned char
#endif

#ifndef WORD
#define WORD unsigned short
#endif

#ifndef SHORT
#define SHORT signed short
#endif

#ifndef DWORD
#define DWORD unsigned long
#endif

#define ITEM_CHKBOX 0x8000
#define ITEM_RADBOX 0x4000
#define ITEM_GRAYED 0x2000
#define ITEM_HILITE 0x1000

#define MENU_NFOBOX 0x8000
#define MENU_DLGBOX 0x4000
#define MENU_TXTBOX 0xC000
#define MENU_TYPMSK 0xC000
#define MENU_ITEMSK 0x3FFF

#pragma pack(push, 1)
typedef struct {
  char *item;
  char *hint;
  WORD  flag;
} menuitem;
#pragma pack(pop)

typedef int (*PMENUPROC)(int);

void InitSetup(char *l, char *r);
void FreeSetup(void);
int DrawMenu(menuitem *items, PMENUPROC mp);

#endif
